Debian Bug report logs - #353943
initscripts: domount(): Please support bind mounts

version graph

Package: initscripts; Maintainer for initscripts is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for initscripts is src:sysvinit.

Reported by: "Ramkumar R. Aiyengar" <andyetitmoves@gmail.com>

Date: Wed, 22 Feb 2006 04:48:02 UTC

Severity: wishlist

Found in versions initscripts/2.86.ds1-12, initscripts/2.86.ds1-6

Fixed in version sysvinit/2.88dsf-13.3

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, R.Ramkumar <ramk@cse.iitm.ernet.in>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
New Bug report received and forwarded. Copy sent to R.Ramkumar <ramk@cse.iitm.ernet.in>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "R.Ramkumar" <ramk@cse.iitm.ernet.in>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initscripts: support for bind mounts in domount
Date: Wed, 22 Feb 2006 10:10:04 +0530
Package: initscripts
Version: 2.86.ds1-12
Severity: wishlist

It would be good if domount supports bind mounts as well. Currently,
domount looks at /proc/filesystems, and since bind mounts do not
have an entry over there, the call fails. Bind mounts are useful,
for example, when you want to share a tmpfs instance between /tmp
and /dev/shm.

Regards,
Ramkumar.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (101, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.15-archck2
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)

Versions of packages initscripts depends on:
ii  debianutils   2.15.2                     Miscellaneous utilities specific t
ii  e2fsprogs     1.38+1.39-WIP-2005.12.31-1 ext2 file system utilities and lib
ii  libc6         2.3.5-13                   GNU C Library: Shared libraries an
ii  lsb-base      3.0-15                     Linux Standard Base 3.0 init scrip
ii  mount         2.12r-6                    Tools for mounting and manipulatin

initscripts recommends no packages.

-- no debconf information

-- 
WARN_(accel)("msg null; should hang here to be win compatible\n");
                                   -- WINE source code





Message sent on to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
Bug#353943. Full text and rfc822 format available.

Message #8 received at 353943-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 353943-submitter@bugs.debian.org
Subject: Patch?
Date: Fri, 24 Feb 2006 14:49:11 +0100
Could you make a suggestion, in the form of a patch, about how to implement
what you wish?

-- 
Thomas Hood



Information stored:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 353943-quiet@bugs.debian.org (full text, mbox):

From: "R.Ramkumar" <ramk@cse.iitm.ernet.in>
To: Thomas Hood <jdthood@yahoo.co.uk>
Cc: 353943-quiet@bugs.debian.org
Subject: Re: Bug#353943: Patch?
Date: Thu, 02 Mar 2006 15:25:32 +0530
[Message part 1 (text/plain, inline)]
Thomas Hood <jdthood@yahoo.co.uk> writes:

> Could you make a suggestion, in the form of a patch, about how to
> implement what you wish?

Here is an initial patch for the feature. A major problem with this
still is that mountpoint doesn't recognize bind mountpoints. As a
result, the script ends up remounting the mount point multiple
number of times. Though this is harmless, I am sure this is
undesirable. Should I file this as a bug in the mountpoint program?



[mount-functions.sh-bind.diff (text/plain, inline)]
--- /lib/init/mount-functions.sh	2006-01-12 00:10:00.000000000 +0530
+++ mount-functions.sh	2006-03-02 15:20:56.000000000 +0530
@@ -82,6 +82,9 @@
 			*FreeBSD)  FSTYPE=linprocfs ;;
 			*)         FSTYPE=procfs ;;
 		esac
+	elif [ "$1" = bind ]
+	then
+		FSTYPE=$1
 	elif grep -E -qs "$1\$" /proc/filesystems
 	then
 		FSTYPE=$1
@@ -133,6 +136,14 @@
 		return
 	fi
 
+	MTARGS=
+	if [ "$FSTYPE" = bind ]
+	then
+	    MTARGS="--bind $OPTS $4"
+	else
+	    MTARGS="-t $FSTYPE $OPTS $4 $FSTYPE"
+	fi
+
 	# We give file system type as device name
 	if mountpoint -q "$MTPT"
 	then
@@ -140,7 +151,7 @@
 		# Just update mtab, if possible and necessary
 		if [ "$DO_MTAB" ] && ! grep -E -sq "^([^ ]+) +$MTPT +" /etc/mtab
 		then
-			mount -f -t $FSTYPE $OPTS $4 $FSTYPE $MTPT
+			mount -f $MTARGS $MTPT
 		fi
 	else
 		# Not already mounted
@@ -148,9 +159,9 @@
 		# Mount it, updating mtab if possible
 		if [ "$DO_MTAB" ]
 		then
-			mount -t $FSTYPE $OPTS $4 $FSTYPE $MTPT
+			mount $MTARGS $MTPT
 		else
-			mount -n -t $FSTYPE $OPTS $4 $FSTYPE $MTPT
+			mount -n $MTARGS $MTPT
 		fi
 	fi
 }
[Message part 3 (text/plain, inline)]
Regards,
Ramkumar.

-- 
WARN_(accel)("msg null; should hang here to be win compatible\n");
                                   -- WINE source code

Message sent on to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
Bug#353943. Full text and rfc822 format available.

Message #16 received at 353943-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 353943-submitter@bugs.debian.org
Subject: bind mounts already supported
Date: Thu, 23 Mar 2006 21:03:20 +0100
> It would be good if domount supports bind mounts as well.


Bind mounts are already supported.  You can have a line like this:

    /thing/to/mount   /mnt/mtpt    ext3    bind   0  0

in /etc/fstab.


> +	elif [ "$1" = bind ]


I am not sure I understand.  "bind" is a mount option, not a filesystem type.
Perhaps you are suggesting that we make "bind" a pseudo filesystem type.
The question then would be "why?".
-- 
Thomas Hood



Tags added: wontfix Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #23 received at 353943@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: 353943@bugs.debian.org, 353943-submitter@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Processed: wontfix
Date: Mon, 27 Mar 2006 17:44:39 -0300
In fact, you can leave the filesystem type as "none" and it should work:

/thing/to/mount   /mnt/mtpt    none    bind   0  0

Which is clean and nice.  I guess, we shouldn't even tag this wontfix, but
rather close it as fixed.  The functionality is there already.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Message sent on to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
Bug#353943. Full text and rfc822 format available.

Information stored:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #31 received at 353943-quiet@bugs.debian.org (full text, mbox):

From: "R.Ramkumar" <ramk@cse.iitm.ernet.in>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Thomas Hood <jdthood@yahoo.co.uk>, 353943-quiet@bugs.debian.org
Subject: Re: Bug#353943: [Pkg-sysvinit-devel] Processed: wontfix
Date: Tue, 28 Mar 2006 04:12:00 +0530
> In fact, you can leave the filesystem type as "none" and it should work:
>
> /thing/to/mount   /mnt/mtpt    none    bind   0  0
>
> Which is clean and nice.  I guess, we shouldn't even tag this wontfix, but
> rather close it as fixed.  The functionality is there already.

I guess I am mistaken. The feature request was to augment domount so
that it could allow calls for bind mounts from init functions such
as mountvirtfs. Correct me if I am wrong, but afaik these don't even
need an entry in /etc/fstab (domount at best takes options from
there if an entry exists).

The currently distributed mountdevsubfs/mountvirtfs do not use bind
mounts, but the local admin might need them in their custom init
scripts - mount*fs are after all config files. The use case
presented, as described in the original bug report, is to change the
init script mountdevsubfs.sh, which mounts a tmpfs instance at
/dev/shm to a shared instance between /dev/shm and /tmp, using bind
mounts.

Regards,
Ramkumar

-- 
WARN_(accel)("msg null; should hang here to be win compatible\n");
                                   -- WINE source code





Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 353943@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: "R.Ramkumar" <ramk@cse.iitm.ernet.in>
Cc: Thomas Hood <jdthood@yahoo.co.uk>, 353943@bugs.debian.org
Subject: Re: Bug#353943: [Pkg-sysvinit-devel] Processed: wontfix
Date: Mon, 27 Mar 2006 20:25:42 -0300
On Tue, 28 Mar 2006, R.Ramkumar wrote:
> I guess I am mistaken. The feature request was to augment domount so
> that it could allow calls for bind mounts from init functions such
> as mountvirtfs. Correct me if I am wrong, but afaik these don't even
> need an entry in /etc/fstab (domount at best takes options from
> there if an entry exists).

You're correct, I did not understand the report fully.

> The currently distributed mountdevsubfs/mountvirtfs do not use bind
> mounts, but the local admin might need them in their custom init
> scripts - mount*fs are after all config files. The use case
> presented, as described in the original bug report, is to change the
> init script mountdevsubfs.sh, which mounts a tmpfs instance at
> /dev/shm to a shared instance between /dev/shm and /tmp, using bind
> mounts.

That would be the reply to Thomas's "why?" request.  Very well, looking at
where domount() is used, it looks sane to allow for some sort of messing
around with bind mounts.  Actally, with namespaces in general.

That's already supported in a kludgy way (see Thomas' reply).  We could
support a filesystem type of "none", which would bring support to non-kludge
status, as that's how mount(8) does it.

Thomas, what do you think?  mount will tell us if -t none is not what it
wants, and it is exactly what it wants for --bind, --move, --make-shared (or
their alternative fstab-friendly hacks of -obind, -omove...).

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #41 received at 353943@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: "R.Ramkumar" <ramk@cse.iitm.ernet.in>, 353943@bugs.debian.org
Subject: Re: Bug#353943: [Pkg-sysvinit-devel] Processed: wontfix
Date: Tue, 28 Mar 2006 17:08:30 +0200
Henrique de Moraes Holschuh wrote:
> On Tue, 28 Mar 2006, R.Ramkumar wrote:
>> I guess I am mistaken. The feature request was to augment domount so
>> that it could allow calls for bind mounts from init functions such
>> as mountvirtfs. Correct me if I am wrong, but afaik these don't even
>> need an entry in /etc/fstab (domount at best takes options from
>> there if an entry exists).
> 
> You're correct, I did not understand the report fully.


As for me... I was very confused.  Sorry!


> Thomas, what do you think?  mount will tell us if -t none is not what it
> wants, and it is exactly what it wants for --bind, --move, --make-shared (or
> their alternative fstab-friendly hacks of -obind, -omove...).


Now that I understand it, the patch as provided by R. Ramkumar looks OK to me.
(When domount's first argument is "bind", the function does a bind mount.)

HMH: Can you explain your idea further?  What do you envision domount() doing
when its first argument is "none"?
-- 
Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #46 received at 353943@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Thomas Hood <jdthood@yahoo.co.uk>
Cc: "R.Ramkumar" <ramk@cse.iitm.ernet.in>, 353943@bugs.debian.org
Subject: Re: Bug#353943: [Pkg-sysvinit-devel] Processed: wontfix
Date: Tue, 28 Mar 2006 12:16:38 -0300
On Tue, 28 Mar 2006, Thomas Hood wrote:
> Now that I understand it, the patch as provided by R. Ramkumar looks OK to me.
> (When domount's first argument is "bind", the function does a bind mount.)
> 
> HMH: Can you explain your idea further?  What do you envision domount() doing
> when its first argument is "none"?

It just does what it is doing right now. All it needs to do is accept "none"
as valid, even if it is not listed in /proc/filesystems (it will never be
listed there).

All of the bind/namespace manipulation functions of mount can be invoked
either by using mount --<function>, or by using mount -t <whatever, it will
be ignored> -o <function>.

Set up a bind mount, and then run mount.  Look at how it is reported. It
will have the artificial type of "none".  Mount accepts that syntax to
create the mount as well:

mount -t none /initial /target -o bind

(or, for that matter, -o move, -o rbind, -o after, -o before, -o over...,
and I suppose if we ever update our mount, -o make-shared).

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to "R.Ramkumar" <ramk@cse.iitm.ernet.in>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #51 received at 353943@bugs.debian.org (full text, mbox):

From: "R.Ramkumar" <ramk@cse.iitm.ernet.in>
To: Thomas Hood <jdthood@yahoo.co.uk>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 353943@bugs.debian.org
Subject: Re: Bug#353943: [Pkg-sysvinit-devel] Processed: wontfix
Date: Tue, 28 Mar 2006 20:50:42 +0530
Thomas Hood <jdthood@yahoo.co.uk> writes:

> Now that I understand it, the patch as provided by R. Ramkumar
> looks OK to me.  (When domount's first argument is "bind", the
> function does a bind mount.)

Not completely OK though :) , as I mentioned in the mail in which I
sent the patch. `mountpoint` seems to have problems recognizing bind
mounts, is this the intended behaviour, or is it a bug?

Ramkumar.

-- 
WARN_(accel)("msg null; should hang here to be win compatible\n");
                                   -- WINE source code





Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #56 received at 353943@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: "R.Ramkumar" <ramk@cse.iitm.ernet.in>
Cc: Henrique de Moraes Holschuh <hmh@debian.org>, 353943@bugs.debian.org
Subject: initscripts: mountpoint: Please recognize bind mount points as mount points
Date: Tue, 28 Mar 2006 17:45:52 +0200
Package: initscripts
Version: 2.86.ds1-6
Severity: wishlist

R.Ramkumar wrote:
> Not completely OK though :) , as I mentioned in the mail in which I
> sent the patch. `mountpoint` seems to have problems recognizing bind
> mounts, is this the intended behaviour, or is it a bug?


Call it a 'shortcoming'.  :)  Opening the bug report with this message.
-- 
Thomas Hood



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#353943; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #61 received at 353943@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: "R.Ramkumar" <ramk@cse.iitm.ernet.in>, 353943@bugs.debian.org
Subject: Re: Bug#353943: [Pkg-sysvinit-devel] Processed: wontfix
Date: Tue, 28 Mar 2006 17:46:39 +0200
Henrique de Moraes Holschuh wrote:
> It just does what it is doing right now. All it needs to do is accept "none"
> as valid, even if it is not listed in /proc/filesystems (it will never be
> listed there).


Ah, yes, good thinking: that is better than special casing "bind".

-- 
Thomas



Tags removed: wontfix Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter to '"Ramkumar R. Aiyengar" <andyetitmoves@gmail.com>' from '"R.Ramkumar" <ramk@cse.iitm.ernet.in>' Request was from "Ramkumar R. Aiyengar" <andyetitmoves@gmail.com> to control@bugs.debian.org. (Sun, 23 May 2010 15:27:04 GMT) Full text and rfc822 format available.

Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Sat, 16 Apr 2011 16:09:10 GMT) Full text and rfc822 format available.

Notification sent to "Ramkumar R. Aiyengar" <andyetitmoves@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Apr 2011 16:09:10 GMT) Full text and rfc822 format available.

Message #72 received at 353943-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 353943-close@bugs.debian.org
Subject: Bug#353943: fixed in sysvinit 2.88dsf-13.3
Date: Sat, 16 Apr 2011 16:08:33 +0000
Source: sysvinit
Source-Version: 2.88dsf-13.3

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.88dsf-13.3_amd64.deb
  to main/s/sysvinit/initscripts_2.88dsf-13.3_amd64.deb
sysv-rc_2.88dsf-13.3_all.deb
  to main/s/sysvinit/sysv-rc_2.88dsf-13.3_all.deb
sysvinit-utils_2.88dsf-13.3_amd64.deb
  to main/s/sysvinit/sysvinit-utils_2.88dsf-13.3_amd64.deb
sysvinit_2.88dsf-13.3.diff.gz
  to main/s/sysvinit/sysvinit_2.88dsf-13.3.diff.gz
sysvinit_2.88dsf-13.3.dsc
  to main/s/sysvinit/sysvinit_2.88dsf-13.3.dsc
sysvinit_2.88dsf-13.3_amd64.deb
  to main/s/sysvinit/sysvinit_2.88dsf-13.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353943@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 16 Apr 2011 01:17:29 +0100
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts
Architecture: source amd64 all
Version: 2.88dsf-13.3
Distribution: experimental
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 186892 353943 378776 406685 423405 481546 483643 503805 530582 564635 585543 599241 599734 607136 612594 616571 620191 620735
Changes: 
 sysvinit (2.88dsf-13.3) experimental; urgency=low
 .
   [ Roger Leigh ]
   * Non-maintainer upload.
   * Support for new top-level directory /run to replace /var/run,
     /var/lock, /dev/shm and /lib/init/rw as a place to store transient
     writable data which should not be preserved across a system
     reboot (Closes: #186892, #616571, #620191).  /run fixes existing
     issues with RAMRUN and RAMLOCK options using tmpfs on /var/run and
     /var/lock (Closes: #423405, #481546, #564635, #607136, #620735).
     Additionally, /run/shm replaces /dev/shm and may share the same
     tmpfs as /run if RAMSHM is set to "no" in /etc/default/rcS.  /tmp
     may also be configured to be a tmpfs if RAMTMP is set to "yes" in
     /etc/default/rcS.  /tmp may also be configured to use /run directly if
     it is symlinked to /run/tmp, for example.
     Summary:
       /var/run → /run
       /var/lock → /run/lock
       /dev/shm → /run/shm
       /lib/init/rw → /run (not transitioned automatically)
       /dev/.* → /run (not transitioned automatically)
     These changes do not take effect until the system is rebooted as
     is currently done for /lib/init/rw setup.  Prior to a reboot, the
     paths are made available via bind/nullfs/firmlink mounts, depending on
     the platform.  Following a reboot, the old paths will be converted to
     symlinks, or bind/nullfs/firmlink mounts where symlinking is not
     possible, to allow access via either the old or new paths, to permit
     programs using the old paths to transition to use the new paths for
     wheezy.
     - debian/initscripts.postinst:
       Take chroot detection logic from udev postinst (existing logic was
       broken).  Add detection logic for vserver environments and Hurd.
       Trigger reboot to complete transition.
       If the system has not yet transitioned to a tmpfs-based /run, set up
       bind mounts as follows:
         /var/run → /run
         /var/lock → /run/lock
         /dev/shm → /run/shm
       On reboot, the system will complete the migration to a tmpfs-based
       /run; this creates the directory heierachy from the old paths to
       enable the use of the new /run paths prior to a restart.  This means
       packages may transition to using /run with a versioned dependency
       upon initscripts.
       Remove special handling for RAMRUN and RAMLOCK, which is now taken
       care of by /run.
       If in a chroot environment, just create symlinks from the new names
       to the existing locations, since otherwise the changes would be
       lost, and since rcS scripts aren't run the transition won't
       complete.
     - debian/src/initscripts/Makefile:
       Provide top-level /run.
     - debian/src/initscripts/doc/README.Debian:
       Document new use of RUN_SIZE and LOCK_SIZE.
       Document use of /run rather than /lib/init/rw.
       Document use of SHM_SIZE and TMP_SIZE.
     - debian/src/initscripts/etc/init.d/checkroot.sh:
       Use /run in place of /lib/init/rw.
     - debian/src/initscripts/etc/default/tmpfs:
       Document TMPFS_SIZE, RUN_SIZE and LOCK_SIZE (Closes: #483643).
       Document TMP_SIZE and SHM_SIZE.
     - debian/src/initscripts/etc/init.d/mountkernfs.sh:
       Create /run, /run/sendsigs.omit.d and /run/lock.
       Mount /run/lock as a separate tmpfs if RAMLOCK=yes.
       /run/lock has 01777 permissions to match /var/lock.
       Mount /tmp as a separate tmpfs if RAMTMP=yes or / is being mounted
       read-only (Closes: #503805, #585543).
       Drop mounting of /var/run and /var/lock.
     - debian/src/initscripts/etc/init.d/mountdevsubfs.sh:
       Create /run/shm.  Mount /run/shm as a separate tmpfs if RAMSHM=yes.
     - debian/src/initscripts/etc/init.d/mtab.sh:
       domtab mirrors behaviour of domount in mount-functions exactly, to
       prevent duplicate mounts (required for bind mount support).
       Bind mount /run/init and drop mounting of /var/run.  Mount /run/lock
       in place of /var/lock.
       Mount /tmp if RAMTMP=yes.
       Mount /run/shm if RAMSHM=yes.
     - debian/src/initscripts/etc/init.d/sendsigs:
       Use new paths:
         files: /run/sendsigs.omit /lib/init/rw/sendsigs.omit
         dirs: /run/sendsigs.omit.d/ /lib/init/rw/sendsigs.omit.d/
     - debian/src/initscripts/etc/init.d/umountfs:
       Ignore /run.  Continue to ignore /lib/init/rw in order to handle
       clean shutdown.  No longer ignore /var/run and /var/lock.
     - debian/src/initscripts/etc/init.d/umountnfs.sh:
       Check for presence of .ramfs than configuration variable when
       skipping /var/run and /var/lock.
       Ignore /run.  Continue to ignore /lib/init/rw in order to handle
       clean shutdown.  No longer ignore /var/run and /var/lock.
     - debian/src/initscripts/lib/init/bootclean.sh
       Don't clean /var/run and /var/lock (Closes: #378776).  Because
       these directories are now a tmpfs, cleaning no longer makes sense.
     - debian/src/initscripts/lib/init/tmpfs.sh:
       Read /etc/default/tmpfs and provide defaults if unset.
     - debian/src/initscripts/lib/init/mount-functions.sh:
       Support bind mounts in domount() (Closes: #353943).
       Drop support for mounting /var/run and /var/lock as separate
       tmpfs filesystems.  Symlink /var/run to /run and /var/lock to
       /run/lock if possible.  If /var/run and /var/lock are directories,
       attempt to remove and symlink if successful, or else bind mount.
     - debian/src/initscripts/lib/init/vars.sh:
       Read /etc/default/rcS and provide defaults if unset.
     - debian/src/initscripts/man/rcS.5:
       Drop documentation of RAMRUN.
       Update documentation for RAMLOCK (Closes: #406685).
       Document RAMTMP and RAMSHM.
     - debian/src/initscripts/share/default.rcS:
       Remove RAMRUN.
       Add RAMSHM and RAMTMP.
       RAMLOCK, RAMSHM and RAMTMP default to enabled for new installs.
 .
   [ Michael Biebl ]
   * Remove dead usplash support code (Closes: #599241, #599734, #612594).
 .
   [ Martin F. Krafft ]
   * Add comments to /etc/default/rcS (Closes: #530582).
 .
   [ Samuel Thibault ]
   Hurd portability for initscripts postinst and init scripts.
   Hurd does not currently support tmpfs mounts, but will do in the
   future.  Use firmlinks in place of bind mounts.
Checksums-Sha1: 
 be9d988363ea206734abf37e28aa05c0e6562b4e 1532 sysvinit_2.88dsf-13.3.dsc
 de3efda313a5c2f31d54eadeeff76b161da65156 172561 sysvinit_2.88dsf-13.3.diff.gz
 b78268833a44e50f9cd3e2f9c973e586e1950092 123172 sysvinit_2.88dsf-13.3_amd64.deb
 124dd7d5976ab932b12836aa034285adf38ebadc 123756 sysvinit-utils_2.88dsf-13.3_amd64.deb
 549bda85e582e268f0c845f510af1f15c0a78e23 75664 initscripts_2.88dsf-13.3_amd64.deb
 b2825862ee97b31ff274955be71a231546dd7c83 76464 sysv-rc_2.88dsf-13.3_all.deb
Checksums-Sha256: 
 07d58ffae680f2875127b9192a7e2d9e4ac5d43df44592d5c353992e869352a6 1532 sysvinit_2.88dsf-13.3.dsc
 661a477552f9be1a0f1f112b392a0f18f6007ca5490fc94079c771f90671cfcf 172561 sysvinit_2.88dsf-13.3.diff.gz
 4c1472aef05058062225daddf11d4390824a73b7bdea886508b26b1f6722495f 123172 sysvinit_2.88dsf-13.3_amd64.deb
 7990833fcea2c8b52bf91f7e2dfce748ec285270926aa2f86ffc3dcf8e9881fd 123756 sysvinit-utils_2.88dsf-13.3_amd64.deb
 5f9af575d548648a96c07412df3c4a83fde14575b3cc714b16203211736795b2 75664 initscripts_2.88dsf-13.3_amd64.deb
 dd1393d8206bb5b320d42f92b100636108396edb59fb993a69823aea04cae57a 76464 sysv-rc_2.88dsf-13.3_all.deb
Files: 
 ce5a50face05beafa6cab9642a0bb95a 1532 admin required sysvinit_2.88dsf-13.3.dsc
 6dbe29e91350698e63857ae24de5ffbf 172561 admin required sysvinit_2.88dsf-13.3.diff.gz
 7518abcfd4f81b48129b56d32e0ae9a8 123172 admin required sysvinit_2.88dsf-13.3_amd64.deb
 9a672f235a3a1cae9b0435ee3397c41c 123756 admin required sysvinit-utils_2.88dsf-13.3_amd64.deb
 281d99c48bda7dd1abf32b74c5f91ab2 75664 admin required initscripts_2.88dsf-13.3_amd64.deb
 c802c38a538c6e39e05b6d079833e4f9 76464 admin required sysv-rc_2.88dsf-13.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREDAAYFAk2puNAACgkQVcFcaSW/uEgMKwCg7OelUXpt8gjS5XCQJ6fdnL8N
cvMAniD5GrfZsHPB8tn1OIkv3OQNnDoB
=KEGe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:35:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:57:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.